package com.huatek.busi.service;


import com.huatek.busi.entity.*;

import java.text.ParseException;
import java.util.List;

public interface CubicleNumberService {

    /**
     *开关柜状态查询
     *
     */
    List<CubicleStatus> findCubicleStart();

   

    /**
     * 开关柜故障,在线,总数查询
     *
     */
    EquipmentSumNumber findSumCubicleNumber() throws Exception;


    /**
     * 开关柜测温点查询
     *
     */

    List<RptTermperRecord> findCubiclePoint(String siteId, String eqmId);

    /**
     * 开关柜故障率查询
     *
     */

    List<RptTemperRate> findTemperRate(String siteId, String eqmId);

    /**
     * 开关柜ABC相出入温度查询
     *
     */

    List<RptTemper> findTemper(String siteId, String eqmId);

    /**
     * 查询开关柜在线率并加入cache表
     * @return
     * @throws ParseException
     */
  int findCubicleNumber() throws ParseException;

    /**
     * 从cache表中查出开关柜外挂设备在线率
     * @param mainEquipmentId
     * @return
     */
    List<EquipmentSensorCache> findCubicleSensorNumber(String mainEquipmentId);


    /**
     * 从cache表中查出总开关柜外挂设备在线率
     */
    EquipmentSumSensorCache findSumCubicleSensorNumber();
}
